Zum Hauptinhalt springen
POST
Issue a sub-account key

Autorisierungen

Authorization
string
header
erforderlich

Your API key, sent as Authorization: Bearer <key>.

Pfadparameter

id
string<uuid>
erforderlich

The sub-account id.

Body

application/json
name
string
Standard:default
Required string length: 1 - 64
allowedTaskTypes
string[]

Self-serve engines the key may submit. Empty or absent means all of them.

dailyCreditLimit
number | null
Erforderlicher Bereich: 0.01 <= x <= 20000000Muss ein Vielfaches sein von 0.01
expiresAt
string<date-time> | null

Between 5 minutes and 2 years from now.

Antwort

The new key, with the raw key in key.

success
boolean
erforderlich
data
object
erforderlich